Subject: Re: [dane] namespace management, DANE Client Authentication draft updated

From: Sandoche Balakrichenan <[email-masked]>
Date: Thu, 11 Apr 2019 12:57:34 +0200

Shumon and Viktor,

I have an Internet of Things (IoT) use-case, in which i am evaluating
using TLSA RR for both server and client authentication.

For the client authentication mechanism during TLS handshake, the DANE
client authentication draft seems to be in the right direction.

Is the draft not updated (since 2017) because the draft is not viable
operationally or is it just due to lack of interest?

I did not get this information from the mailing list archive.

Sandoche.

On 14/01/2016 03:49, John Levine wrote:
>> This forces clients that use both TCP and UDP to publish their TLSA
>> records twice (or better publish one as a CNAME for the other, or
>> make both CNAMEs to a third thing).  Is this really worth it?
> How much of a problem has it been for TLSA server records?  I honestly don't
> know but I'd be surprised if the answer were other than "not much".  
>
> Creating the certificate and turning that into the right hex for the
> TLSA master record seems vastly harder than adding a CNAME which, if
> you are right that nobody ever does anything different on TCP and UDP,
> could be added mechanically.
>
> R's,
> John
>
> _______________________________________________
> dane mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dane

---

From: Viktor Dukhovni <[email-masked]>
Date: Thu, 11 Apr 2019 13:14:36 -0400

> On Apr 11, 2019, at 6:57 AM, Sandoche Balakrichenan <[email-masked]> wrote:
> 

The working group shut down before we had a chance to resume progress
on the draft.  There are no fundamental barriers to continuing work,
and I've seen some interest in DANE client auth now and then from others.

At this point the work might need to happen in UTA, if they're willing
to adopt it.

-- 
	Viktor.

> On Apr 11, 2019, at 6:57 AM, Sandoche Balakrichenan <[email-masked]> wrote:
> 
> Shumon and Viktor,
> 

-- 
	Viktor.

---

From: Shumon Huque <[email-masked]>
Date: Thu, 11 Apr 2019 21:08:10 -0400

> At this point the work might need to happen in UTA, if they're willing

If there is additional interest in this draft now, and we can find a home
for
the work, I would be happy to revive it and try to push it forward.

Shumon.